# Provisioned Capacity

### Creating a table (Standard) with minimal parameters

```
resources:
  - name: provisioned_standard
    type: aws_dynamodb_table
    props:
      table_name: "test-provisioned"
      billing_mode: "PROVISIONED"
      provisioned_throughput:
        read_capacity_units: 30
        write_capacity_units: 35
      attribute_definitions:
        - attribute_name: "id"
          attribute_type: "S"
      key_schema:
        - attribute_name: "id"
          key_type: "HASH"
```

#### Example price for above configuration

```
provisioned_standard (action: create)
=> Price (Write capacity units)
  => Tier 1 (First 25 WCU - price: $0.00/WCU-Hrs, quantity: 25, monthly: $0.00)
  => Tier 2 (Beyond 25 WCU - price: $0.00065/WCU-Hrs, quantity: 10, monthly: $4.84)
=> Price (Read capacity units)
  => Tier 1 (First 25 RCU - price: $0.00/RCU-Hrs, quantity: 25, monthly: $0.00)
  => Tier 2 (Beyond 25 RCU - price: $0.00013/RCU-Hrs, quantity: 5, monthly: $0.48)
=> Price (Storage (standard))
  => Tier 1 (First 25 GB - price: $0.00/GB-Mo)
  => Tier 2 (Beyond 25 GB - price: $0.25/GB-Mo)
```

### Creating a table (Standard-IA) with minimal parameters

```
resources:
  - name: provisioned_standard_ia
    type: aws_dynamodb_table
    props:
      table_name: "test-provisioned"
      billing_mode: "PROVISIONED"
      table_class: "STANDARD_INFREQUENT_ACCESS"
      provisioned_throughput:
        read_capacity_units: 30
        write_capacity_units: 35
      attribute_definitions:
        - attribute_name: "id"
          attribute_type: "S"
      key_schema:
        - attribute_name: "id"
          key_type: "HASH"
```

#### Example price for above configuration

```
provisioned_standard_ia (action: create)
=> Price (Write capacity units (IA) - price: $0.00081/WCU-Hrs, quantity: 35, monthly: $21.09)
=> Price (Read capacity units (IA) - price: $0.00016/RCU-Hrs, quantity: 30, monthly: $3.57)
=> Price (Storage (IA) - price: $0.10/GB-Mo)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mechcloud.io/cloud-computing/stateless-iac/aws/examples-resources-with-cost/dynamodb/provisioned-capacity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
